SDO_DataObject::clear
SDO_DataObject::getContainer
SDO Functions
PHP Manual

# SDO_DataObject::createDataObject

Create a child SDO_DataObject

### Description

SDO_DataObject SDO_DataObject::createDataObject ( mixed `$identifier` )
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

Create a child SDO_DataObject of the default type for the property identified. The data object is automatically inserted into the tree and a reference to it is returned.

### Parameters

`identifier`

  Identifies the property for the data object type to be created. Can be either a property name (string), a property index (int), or an SDO_Model_Property.

### Return Values

Returns the newly created SDO_DataObject.

### Errors/Exceptions

`SDO_PropertyNotFoundException`

  Thrown if the identifier does not correspond to a property of the data object.